post
https://api.sumsub.com/resources/kyt/txns//-/score
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to rescore the specified transaction.
You can also rescore transactions from the Dashboard. Click the menu button to the right of the required transaction, and select Rescore.
Attention
- Rescoring recalculates the review using the current rules and replaces any earlier decision on the transaction, including a manual approval or rejection.
- A transaction can have up to 200 review attempts. The initial scoring, each rescore, and each manual approval or rejection count as one attempt each.
Required permissions
To use this method, your app token must have the Manage TM transactions - Decisions permission.
Use case
Rescoring is useful in cases when the transaction data or rules change. Once the method is applied, the system processes the new data and updates the transaction score accordingly.
Request example
curl -X POST \
'https://api.sumsub.com/resources/kyt/txns/631f268442d8290001e00000/-/score' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON file that represents the full and structured transaction data. See the response structure and possible content with descriptions on this page.
Response example
{
"id": "66335d9a243caf315d800000",
"applicantId": "662edfdb7a26397a65d00000",
"externalUserId": "PlatformEvent0001",
"clientId": "korban.inc",
"data": {
"txnId": "general0001",
"txnDate": "2024-04-29 02:30:12+0000",
"applicant": {
"externalUserId": "PlatformEvent0001",
"fullName": "Users Fullname",
"address": {
"flatNumber": "usersAddFlatNumber",
"subStreet": "usersAddSbSt",
"street": "usersAddSt",
"state": "usersAddState",
"buildingNumber": "usersAddBuildNum",
"town": "usersAddressTown",
"postCode": "000000",
"country": "CAN",
"formattedAddress": "usersAddSt, usersAddSbSt usersAddBuildNum usersAddFlatNumber, usersAddressTown, usersAddState, Canada, 000000"
},
"type": "individual",
"device": {
"ipInfo": {
"ip": "242.1.1",
"riskyAsn": false
},
"userAgent": "usersDeviceUA",
"sessionId": "usersDeviceSesId",
"sessionAgeMs": 18,
"acceptLang": "en",
"coords": {
"lat": -1.7976931348623157,
"lon": 1.7976931348623157,
"accuracy": 10
},
"fingerprint": "usersDeviceFing"
}
},
"type": "userPlatformEvent",
"userPlatformEventInfo": {
"type": "general"
}
},
"score": 0,
"review": {
"reviewId": "XvSHf",
"attemptId": "QaUMN",
"attemptCnt": 1,
"elapsedSincePendingMs": 149,
"elapsedSinceQueuedMs": 149,
"createDate": "2024-05-02 09:32:10+0000",
"reviewResult": {
"reviewAnswer": "GREEN"
},
"reviewStatus": "completed"
},
"createdAt": "2024-05-02 09:32:10+0000",
"scoringResult": {
"score": 0,
"dryScore": 0,
"matchedRules": [
{
"id": "6602a0f43d40c8131dc4e17a",
"name": "AFP1-agg-beh-eve-for-user-pla-eve-BBKP",
"revision": 1,
"title": "Aggregate behavioral events for user platform events",
"score": 0,
"dryRun": false,
"action": "score",
"stage": "pre",
"preScoringRunnerType": "behavioralEvents"
}
],
"action": "score",
"ruleCnt": 2,
"dryRunRuleCnt": 0,
"tagScores": []
},
"typedTags": [],
"txnInactive": false
}